cd "G:\Data\CEE\AucejoHupkauRuizValenzuela\regressions\LATEST\ValueAdded\FINAL_PAPER\JHR_RESUBMISSION\Post_Acceptance\Figures\Fig1_2"

use "data_fig1_2.dta", clear 



* Figure 1  - GRAPHS Linkding Intake Quality with Average Outcomes )- KS4 score
foreach var in  ever_hesa tot_glh_ach share_glh_ach achieved_lev3  real_earn_day_adj_2017 real_earn_adj_2017 employment_2017 {
local laby: variable label `var'
pwcorr `var' sd_ks4_score  [aweight=weight], sig
local corr: di %9.2f r(rho)
matrix sign=r(sig)
local sign_c: di %9.3f sign[1,2]
quietly reg `var' sd_ks4_score  [aweight=weight]
local beta: di  %5.3g _b[sd_ks4_score]
twoway ( scatter `var' sd_ks4_score  [aweight=weight], msize(tiny) ) (lfit `var' sd_ks4_score  [aweight=weight], color(emerald)), ytitle("`laby'") xtitle("Mean standardized KS4 score of intake") legend(off)  note({&rho}=`corr'  (`sign_c'))  scheme(s1mono)
graph export "intake_qual_va_`var'_YCS.pdf", as(pdf) replace
}


format fsmeligible  %9.0g

* Figure 2 - GRAPHS Linkding Intake Quality with Average Outcomes - FSM
foreach var in  ever_hesa tot_glh_ach share_glh_ach achieved_lev3  real_earn_day_adj_2017 real_earn_adj_2017 employment_2017 {
local laby: variable label `var'
pwcorr `var' fsmeligible  [aweight=weight], sig
local corr: di %9.2f r(rho)
matrix sign=r(sig)
local sign_c: di %9.3f sign[1,2]
quietly reg `var' fsmeligible  [aweight=weight]
local beta: di  %5.3g _b[fsmeligible]
twoway ( scatter `var' fsmeligible  [aweight=weight], msize(tiny) ) (lfit `var' fsmeligible  [aweight=weight], color(emerald)), ytitle("`laby'") xtitle("Share of intake eligible for free school meals") legend(off)  note({&rho}=`corr'  (`sign_c'))  scheme(s1mono) xlabel(0(0.2)0.6)
graph export "intake_fsm_va_`var'_YCS.pdf", as(pdf) replace
}

