
*************************************************
****** GRAPH FOR THOSE NEVER ATTENDING HE ******* 
*************************************************

* The data to create these graphs is generated by first running the retunrs regressions *main specification as in Tables 7 and 9 of the manuscript, and then just calculating average FSM share and KS4 score among people choosing particular main sector 

/* I command this out so as not to regenerate the data everytime we create the grpah. This is just here so you see what the sample selection is: 



run "G:\Data\CEE\AucejoHupkauRuizValenzuela\regressions\LATEST\ValueAdded\FINAL_PAPER\JHR_RESUBMISSION\RETURNS_REGS\Table_7_9.do" until line 275 




xtreg ln_adj_real_earn_day $glhbysector $glhbysector_yr_f $controls $college_FE   $controls_time $glhtypequal $glhawarding $glhtypequal_yr_f  i.ACC_region_clean#i.academicyear  if male==1 & ACC_region_clean~=99 & sample2==1, fe
cap drop regression_sample_m3
gen regression_sample_m3=e(sample) 

xtreg ln_adj_real_earn_day $glhbysector $glhbysector_yr_f $controls $college_FE   $controls_time $glhtypequal $glhawarding $glhtypequal_yr_f  i.ACC_region_clean#i.academicyear if male==0 & ACC_region_clean~=99 & sample2==1, fe
cap drop regression_sample_f3
gen regression_sample_f3=e(sample)

keep if regression_sample_f3==1 | regression_sample_m3==1 
drop if main_sector_noPLW_postFE==0 


*keep only variables of interest: 
keep id male  main_sector_postFE main_sector_noPLW_postFE fsmeligible sd_ks4_score regression_sample_m3 regression_sample_f3

*keep one observation per id: 
duplicates drop 




collapse fsmeligible sd_ks4_score, by(main_sector_noPLW_postFE male)
drop if main_sector_noPLW_postFE==16 | main_sector_noPLW_postFE==99 | main_sector_noPLW_postFE==100 
g male_num=(male==1)
drop male
reshape wide fsmeligible sd_ks4_score  , i(main_sector_noPLW_postFE)  j(male_num)
label var fsmeligible1 "FSM Males"
label var fsmeligible0 "FSM Females"
label var sd_ks4_score1 "Standardised KS4 score Males"
label var sd_ks4_score0 "Standardised KS4 score Females"

label define sect 1 "Health & Pub Services" 2 "Science & Maths" 3 "Agriculture" 4 "Engineering & Manuf." 5 "Construction" 6 "ICT" 7 "Retail" 8 "Leisure & Tourism" 9 "Arts & Media" 10 "History, Phil & Theol" 11 "Social Sciences" 12 "Languages" 13 "Education & Training" 14 "Prep for Life & Work" 15 "Business, Admin & Law"  

label values main_sector_noPLW_postFE sect 
save "data_fig3.dta",replace 
 


*/

use "data_fig3.dta", clear

	*FSM
	graph bar  fsmeligible1 fsmeligible0, over(main_sector_noPLW_postFE, lab(angle(60))) legend(order(1 "Males" 2 "Females")) graphregion(fcolor(white)) ylabel(,nogrid) scheme(s2mono) ytitle("Proportion FSM eligible") 
	graph export "fig3a_fsm.pdf", as(pdf) replace

	*KS4
	graph bar  sd_ks4_score1 sd_ks4_score0, over(main_sector_noPLW_postFE, lab(angle(60))) legend(order(1 "Males" 2 "Females")) graphregion(fcolor(white)) ylabel(,nogrid) scheme(s2mono) ytitle("Standardised KS4 score") 
	graph export "fig3b_ks4.pdf", as(pdf) replace

	
