cd "G:\Data\CEE\AucejoHupkauRuizValenzuela\regressions\LATEST\ValueAdded\FINAL_PAPER\JHR_RESUBMISSION\Post_Acceptance\Figures\Fig4"

use "data_VA_young_cross-section.dta", clear 
append using "data_VA_youngpanel1820.dta"
append using "data_VA_adultpanel.dta"

*Keep only log daily earnings: 
keep if group==1 
*Keep only males and females: 
drop if sex==1
*Determines order in the graph: 
sort spec sex 
cap drop row
g row=_n 



		
	twoway  (rcap xu xl row, horizontal) ///
			(scatter row x if sex == 2, msymbol(S) msize(medium)) ///
			(scatter row x if sex == 3, msymbol(T) msize(medium)) ///
			, graphregion(fcolor(white) lcolor(white) color(white)) ///
			legend(row(1) order(2 "Males" 3 "Females") region(lcolor(white))) ///
			title("Value added in Log Daily earnings in 2017", margin(b=5)) ///
			ytitle("") ///
			xtitle("SD Value-Added") ///
			yscale(reverse) ///
			yline(2.5, lpattern(dash) lcolor(gs8)) ///
			yline(4.5, lpattern(dash) lcolor(gs8)) ///
			ylabel(1.5 "Young Cross-Section 18-20" 3.5 "Young Panel 18-20" 5.5 "Adult Panel 25-59", angle(0) noticks nogrid) scheme(s2mono)
			graph export "Fig4.pdf", as(pdf) replace

