cd "G:\Data\CEE\AucejoHupkauRuizValenzuela\regressions\LATEST\ValueAdded\FINAL_PAPER\JHR_RESUBMISSION\Post_Acceptance\Tables\Table_5"

use "data_table5_yp.dta", clear 
append using "data_table5_ycs.dta"
append using "data_table5_ap.dta" 



****** LATEX 

ren *emp_0_yp *emp_yp
ren *emp_m_0_yp *emp_m_yp
ren *emp_f_0_yp *emp_f_yp
ren *emp_0_ap *emp_ap
ren *emp_m_0_ap *emp_m_ap
ren *emp_f_0_ap *emp_f_ap



foreach sample in  ycs  yp ap {
foreach var in ln_wage ln_wage_m ln_wage_f ln_an_earn ln_an_earn_m ln_an_earn_f   wage_all wage_all_m wage_all_f emp emp_m emp_f {
desc sigma_b_`var'_`sample'
su sigma_b_`var'_`sample', detail 
scalar `var'_`sample'  = r(mean)

su se_sigma_b_`var'_`sample', detail 
scalar se_`var'_`sample'  = r(mean)
di se_`var'_`sample'
local se_`var'_`sample'  = r(mean)
di `se_`var'_`sample''

su mean_`var'_`sample', det
scalar m_`var'_`sample'=r(mean)
su obs_va_`var'_`sample', det
scalar o_`var'_`sample'=r(mean)
di o_`var'_`sample'
su num_inst_`var'_`sample', det
scalar no_`var'_`sample'=r(mean)
di no_`var'_`sample'
scalar ab_`var'_`sample'=`var'_`sample'/m_`var'_`sample'
di ab_`var'_`sample'

}
}



*scalar emp_f_ycs=0.000
*scalar no_emp_f_ycs=221

cap file close fh
file open fh using "table_5.tex", write replace

	file write fh _n  "\begin{tabular}{l@{\extracolsep{2mm}}ccccccccc}"
	file write fh _n "\toprule" 
	file write fh _n  "& \multicolumn{6}{c}{18-20 year olds} & \multicolumn{3}{c}{25-59 year olds} \\" 
	file write fh _n  "& \multicolumn{3}{c}{Cross-Section} & \multicolumn{3}{c}{Panel} & \multicolumn{3}{c}{Panel} \\" 
	file write fh _n " & (1) & (2) & (3) & (4) & (5) & (6) & (7) & (8) & (9) \\" 
	file write fh _n " & All & Male & Female & All & Male & Female & All & Male & Female \\" 
	file write fh _n "\midrule" 
	file write fh _n  "& \multicolumn{9}{c}{\textit{Log daily earnings in 2017}} \\" 
	file write fh _n "SD Value-Added & " %9.3fc ((ln_wage_ycs)) " & " %9.3fc ((ln_wage_m_ycs)) " & "  %9.3fc ((ln_wage_f_ycs)) " & "  %9.3fc ((ln_wage_yp)) " & " %9.3fc ((ln_wage_m_yp)) " & "  %9.3fc ((ln_wage_f_yp)) " & " %9.3fc ((ln_wage_ap)) " & " %9.3fc ((ln_wage_m_ap))  " & "  %9.3fc ((ln_wage_f_ap))  " \\ "
		file write fh _n " S.E. & (\MyNum{`se_ln_wage_ycs'}) &  (\MyNum{`se_ln_wage_m_ycs'}) & (\MyNum{`se_ln_wage_f_ycs'}) & (\MyNum{`se_ln_wage_yp'}) & (\MyNum{`se_ln_wage_m_yp'}) & (\MyNum{`se_ln_wage_f_yp'}) & (\MyNum{`se_ln_wage_ap'}) & (\MyNum{`se_ln_wage_m_ap'}) & (\MyNum{`se_ln_wage_f_ap'}) \\ "
	
	file write fh _n " Observations & " %9.0fc ((o_ln_wage_ycs)) " & " %9.0fc ((o_ln_wage_m_ycs)) " & " %9.0fc ((o_ln_wage_f_ycs)) " & " %9.0fc ((o_ln_wage_yp)) " & " %9.0fc ((o_ln_wage_m_yp)) " & " %9.0fc ((o_ln_wage_f_yp)) " & " %9.0fc ((o_ln_wage_ap)) " & " %9.0fc ((o_ln_wage_m_ap))  " & " %9.0fc ((o_ln_wage_f_ap)) " \\ "
	file write fh _n " Nb. of colleges & " %9.0fc ((no_ln_wage_ycs)) " & " %9.0fc ((no_ln_wage_m_ycs)) " & " %9.0fc ((no_ln_wage_f_ycs)) " & " %9.0fc ((no_ln_wage_yp)) " & " %9.0fc ((no_ln_wage_m_yp)) " & " %9.0fc ((no_ln_wage_f_yp)) " & " %9.0fc ((no_ln_wage_ap)) " & " %9.0fc ((no_ln_wage_m_ap))  " & " %9.0fc ((no_ln_wage_f_ap)) " \\ "

	file write fh _n  "& \multicolumn{9}{c}{\textit{Log annual earnings in 2017}} \\" 
	file write fh _n "SD Value-Added & " %9.3fc ((ln_an_earn_ycs)) " & " %9.3fc ((ln_an_earn_m_ycs)) " & "  %9.3fc ((ln_an_earn_f_ycs)) " & "  %9.3fc ((ln_an_earn_yp)) " & " %9.3fc ((ln_an_earn_m_yp)) " & "  %9.3fc ((ln_an_earn_f_yp)) " & " %9.3fc ((ln_an_earn_ap)) " & "  %9.3fc ((ln_an_earn_m_ap))  " & "  %9.3fc ((ln_an_earn_f_ap))  " \\ "
	file write fh _n " S.E. & (\MyNum{`se_ln_an_earn_ycs'}) &  (\MyNum{`se_ln_an_earn_m_ycs'}) & (\MyNum{`se_ln_an_earn_f_ycs'}) & (\MyNum{`se_ln_an_earn_yp'}) & (\MyNum{`se_ln_an_earn_m_yp'}) & (\MyNum{`se_ln_an_earn_f_yp'}) & (\MyNum{`se_ln_an_earn_ap'}) & (\MyNum{`se_ln_an_earn_m_ap'}) & (\MyNum{`se_ln_an_earn_f_ap'}) \\ "
	file write fh _n " Observations & " %9.0fc ((o_ln_an_earn_ycs)) " & " %9.0fc ((o_ln_an_earn_m_ycs)) " & " %9.0fc ((o_ln_an_earn_f_ycs)) " & " %9.0fc ((o_ln_an_earn_yp)) " & " %9.0fc ((o_ln_an_earn_m_yp)) " & " %9.0fc ((o_ln_an_earn_f_yp)) " & " %9.0fc ((o_ln_an_earn_ap)) " & " %9.0fc ((o_ln_an_earn_m_ap))  " & " %9.0fc ((o_ln_an_earn_f_ap)) " \\ "
	file write fh _n " Nb. of colleges & " %9.0fc ((no_ln_an_earn_ycs)) " & " %9.0fc ((no_ln_an_earn_m_ycs)) " & " %9.0fc ((no_ln_an_earn_f_ycs)) " & " %9.0fc ((no_ln_an_earn_yp)) " & " %9.0fc ((no_ln_an_earn_m_yp)) " & " %9.0fc ((no_ln_an_earn_f_yp)) " & " %9.0fc ((no_ln_an_earn_ap)) " & " %9.0fc ((no_ln_an_earn_m_ap))  " & " %9.0fc ((no_ln_an_earn_f_ap)) " \\ "

	file write fh _n  "& \multicolumn{9}{c}{\textit{Daily earnings in Levels in 2017 (incl. zeros for not employed)}} \\" 
	file write fh _n "SD Value-Added (A)& " %9.3fc ((wage_all_ycs)) " & " %9.3fc ((wage_all_m_ycs)) " & "  %9.3fc ((wage_all_f_ycs)) " & "  %9.3fc ((wage_all_yp)) " & " %9.3fc ((wage_all_m_yp)) " & "  %9.3fc ((wage_all_f_yp)) " & " %9.3fc ((wage_all_ap)) " & "  %9.3fc ((wage_all_m_ap))  " & "  %9.3fc ((wage_all_f_ap))  " \\ "
		file write fh _n " S.E. & (\MyNum{`se_wage_all_ycs'}) &  (\MyNum{`se_wage_all_m_ycs'}) & (\MyNum{`se_wage_all_f_ycs'}) & (\MyNum{`se_wage_all_yp'}) & (\MyNum{`se_wage_all_m_yp'}) & (\MyNum{`se_wage_all_f_yp'}) & (\MyNum{`se_wage_all_ap'}) & (\MyNum{`se_wage_all_m_ap'}) & (\MyNum{`se_wage_all_f_ap'}) \\ "
	file write fh _n " Mean dep var (B) & " %9.3fc ((m_wage_all_ycs)) " & " %9.3fc ((m_wage_all_m_ycs)) " & " %9.3fc ((m_wage_all_f_ycs)) " & " %9.3fc ((m_wage_all_yp)) " & " %9.3fc ((m_wage_all_m_yp)) " & " %9.3fc ((m_wage_all_f_yp)) " & " %9.3fc ((m_wage_all_ap)) " & " %9.3fc ((m_wage_all_m_ap))  " & " %9.3fc ((m_wage_all_f_ap)) " \\ "

	file write fh _n "(A)/(B) & " %9.3fc ((ab_wage_all_ycs)) " & " %9.3fc ((ab_wage_all_m_ycs)) " & "  %9.3fc ((ab_wage_all_f_ycs)) " & "  %9.3fc ((ab_wage_all_yp)) " & " %9.3fc ((ab_wage_all_m_yp)) " & "  %9.3fc ((ab_wage_all_f_yp)) " & " %9.3fc ((ab_wage_all_ap)) " & "  %9.3fc ((ab_wage_all_m_ap)) " & "  %9.3fc ((ab_wage_all_f_ap))  " \\ "
	file write fh _n " Observations & " %9.0fc ((o_wage_all_ycs)) " & " %9.0fc ((o_wage_all_m_ycs)) " & " %9.0fc ((o_wage_all_f_ycs)) " & " %9.0fc ((o_wage_all_yp)) " & " %9.0fc ((o_wage_all_m_yp)) " & " %9.0fc ((o_wage_all_f_yp)) " & " %9.0fc ((o_wage_all_ap)) " & " %9.0fc ((o_wage_all_m_ap))  " & " %9.0fc ((o_wage_all_f_ap)) " \\ "

	file write fh _n " Nb. of colleges & " %9.0fc ((no_wage_all_ycs)) " & " %9.0fc ((no_wage_all_m_ycs)) " & " %9.0fc ((no_wage_all_f_ycs)) " & " %9.0fc ((no_wage_all_yp)) " & " %9.0fc ((no_wage_all_m_yp)) " & " %9.0fc ((no_wage_all_f_yp)) " & " %9.0fc ((no_wage_all_ap)) " & " %9.0fc ((no_wage_all_m_ap))  " & " %9.0fc ((no_wage_all_f_ap)) " \\ "

	
	file write fh _n  "& \multicolumn{9}{c}{\textit{Employed $>$ 90 days in 2017}} \\" 
	file write fh _n "SD Value-Added (A)& " %9.3fc ((emp_ycs)) " & " %9.3fc ((emp_m_ycs)) " & "  %9.3fc ((emp_f_ycs)) " & "  %9.3fc ((emp_yp)) " & " %9.3fc ((emp_m_yp)) " & "  %9.3fc ((emp_f_yp)) " & " %9.3fc ((emp_ap)) " & "  %9.3fc ((emp_m_ap))  " & "  %9.3fc ((emp_f_ap))  " \\ "
				file write fh _n " S.E. & (\MyNum{`se_emp_ycs'}) &  (\MyNum{`se_emp_m_ycs'}) & (\MyNum{`se_emp_f_ycs'}) & (\MyNum{`se_emp_yp'}) & (\MyNum{`se_emp_m_yp'}) & (\MyNum{`se_emp_f_yp'}) & (\MyNum{`se_emp_ap'}) & (\MyNum{`se_emp_m_ap'}) & (\MyNum{`se_emp_f_ap'}) \\ "
	file write fh _n " Mean dep var (B) & " %9.3fc ((m_emp_ycs)) " & " %9.3fc ((m_emp_m_ycs)) " & " %9.3fc ((m_emp_f_ycs)) " & " %9.3fc ((m_emp_yp)) " & " %9.3fc ((m_emp_m_yp)) " & " %9.3fc ((m_emp_f_yp)) " & " %9.3fc ((m_emp_ap)) " & " %9.3fc ((m_emp_m_ap))  " & " %9.3fc ((m_emp_f_ap)) " \\ "

	file write fh _n "(A)/(B) & " %9.3fc ((ab_emp_ycs)) " & " %9.3fc ((ab_emp_m_ycs)) " & "  %9.3fc ((ab_emp_f_ycs)) " & "  %9.3fc ((ab_emp_yp)) " & " %9.3fc ((ab_emp_m_yp)) " & "  %9.3fc ((ab_emp_f_yp)) " & " %9.3fc ((ab_emp_ap)) " & "  %9.3fc ((ab_emp_m_ap)) " & "  %9.3fc ((ab_emp_f_ap))  " \\ "
	file write fh _n " Observations & " %9.0fc ((o_emp_ycs)) " & " %9.0fc ((o_emp_m_ycs)) " & " %9.0fc ((o_emp_f_ycs)) " & " %9.0fc ((o_emp_yp)) " & " %9.0fc ((o_emp_m_yp)) " & " %9.0fc ((o_emp_f_yp)) " & " %9.0fc ((o_emp_ap)) " & " %9.0fc ((o_emp_m_ap))  " & " %9.0fc ((o_emp_f_ap)) " \\ "
	file write fh _n " Nb. of colleges & " %9.0fc ((no_emp_ycs)) " & " %9.0fc ((no_emp_m_ycs)) " & " %9.0fc ((no_emp_f_ycs)) " & " %9.0fc ((no_emp_yp)) " & " %9.0fc ((no_emp_m_yp)) " & " %9.0fc ((no_emp_f_yp)) " & " %9.0fc ((no_emp_ap)) " & " %9.0fc ((no_emp_m_ap))  " & " %9.0fc ((no_emp_f_ap)) " \\ "

	file write fh _n "\bottomrule" 
	file write fh _n "\end{tabular}"
	

file close fh
type "table_5.tex"



