* THIS DO FILE DIFFERS FROM 1_Young_Panel_Returns.do in the sense that results tables are printed with coefficients in log points and not multiplied by 100 

clear
use "G:\Data\CEE\AucejoHupkauRuizValenzuela\clean_data\panel_cohorts_v2_till2017.dta", clear 


///**///*********************************///**///
///**///********Sample restrictions 21/10/2019******///**///
///**///*********************************///**///

*1) Keeping those on L2+ or never observed 

keep if sample==1 | sample==2

*2) Keeping those in FE colleges only or never observed
keep if derived_inst_type_num==1 | sample==2 

*3) Drop those whose main sector based on GLH is in tutorial and enrichment studies or unknown sector
drop if main_sector_noPLW==99 | main_sector_noPLW==16 | main_sector_noPLW==17 | main_sector_noPLW==100 

*4) DROP if last year in education is after 2016
drop if last_year_education>=2016 & sample!=2

*5) Drop those who started before 2005 and after 2010
keep if (min_acadyear_inst_cs>=2005 & min_acadyear_inst_cs<=2010) | sample==2


/////****** END SAMPLE SELECTION ******/////

cap drop years_since_finish
gen years_since_finish= academicyear- max_acadyear_aims_ex if max_acadyear_aims_ex!=.
replace years_since_finish=0 if years_since_finish<0 & max_acadyear_aims_ex!=.

///////******///////*************///////******///////
///////******///** **Ficticious CONTROL GROUP  ** ** ////
///////*************///////******//////////////******

replace upin_afterFE=99 if sample==2 /*FAKE COLLEGE ID FOR NON ATTENDEES*/ 
***Age (not banded):
cap drop age
gen age = (academicyear-ks4_acadyr)+15
label var age "Age of individual"
gen age_sq=age^2

replace upin_afterFE=. if age<21 & sample==2 
replace inschool=0 if inschool==. & sample==2 
replace inschool=1 if age>=18 & age<=20 & sample==2

replace ill_upin=99 if sample==2 & inschool==1


*Minimum academic year based on ill_upin
* CLAUDIA: SOMETHING SEEMS WRONG WITH THI. The variable is already in the data (see line 163) 
bys id: egen min_1=min(academicyear) if ill_upin~=.
bys id: egen min_year_upin=max(min_1)
drop min_1

**NEWWWWWWWW: CLAUDIA: I HAVE USED BELOW min_acadyear_inst because this seems to be the correct variable
* ficticious min_year_inst for those never attending: 
ren min_acadyear_inst_panel min_acadyear_inst
replace min_acadyear_inst=2005 if age==18 & sample==2 & academicyear==2005
replace min_acadyear_inst=2006 if age==18 & sample==2 & academicyear==2006
replace min_acadyear_inst=2007 if age==18 & sample==2 & academicyear==2007
replace min_acadyear_inst=2008 if age==18 & sample==2 & academicyear==2008
replace min_acadyear_inst=2009 if age==18 & sample==2 & academicyear==2009
replace min_acadyear_inst=2010 if age==18 & sample==2 & academicyear==2010
replace min_acadyear_inst=2011 if age==18 & sample==2 & academicyear==2011
replace min_acadyear_inst=2012 if age==18 & sample==2 & academicyear==2012

cap drop max_min
bys id : egen max_min=max(min_acadyear_inst) if sample==2 
replace min_acadyear_inst=max_min if sample==2 

replace ACC_region_clean=99 if sample==2



** INDICATOR FOR YEAR BF ENTRY TO FE **

cap drop index  
bys id: gen index=_n
gen d_yr_bef_FE=0
replace d_yr_bef_FE=1 if academicyear==(min_acadyear_inst-1)


bys id: egen max_year=max(academicyear)

bys id: egen ill_upin_ex=max(ill_upin)
gen index1=index
replace index1=. if index>1
cap drop obs
bys ill_upin_ex: egen obs=count(index1)
drop index1 



//***** CREATE INDIVIDUAL TIME VARIABLE ****///

sort id academicyear 
by id: gen time=_n
/////****** END TIME VARIABLE ******/////


				 
gen cum_exp_years_sq=cum_exp_years^2
label var cum_exp_years_sq "Cumulative years of experience squared"

cap drop inst_id 
gen inst_id=upin_afterFE
replace inst_id=1 if upin_afterFE==.

cap drop main_sector_postFE
gen main_sector_postFE=main_sector
replace main_sector_postFE=0 if years_since_finish<=0
label values main_sector_postFE ila_d_secsubjareatier1

cap drop main_sector_noPLW_postFE
gen main_sector_noPLW_postFE=main_sector_noPLW
replace main_sector_noPLW_postFE=0 if years_since_finish<=0
label values main_sector_noPLW_postFE ila_d_secsubjareatier1

foreach var in ever_hesa achieved_lev3 share_glh_ach tot_glh_ach {
cap drop `var'_postFE
gen `var'_postFE=`var'
replace `var'_postFE=0 if years_since_finish<=0
}

foreach var in tot_gl_hours_1_gr_male tot_gl_hours_1_gr_fem tot_gl_hours_2_gr_male tot_gl_hours_2_gr_fem tot_gl_hours_3_gr_male tot_gl_hours_3_gr_fem tot_gl_hours_4_gr_male tot_gl_hours_4_gr_fem tot_gl_hours_5_gr_male tot_gl_hours_5_gr_fem tot_gl_hours_6_gr_male tot_gl_hours_6_gr_fem tot_gl_hours_7_gr_male tot_gl_hours_7_gr_fem tot_gl_hours_8_gr_male tot_gl_hours_8_gr_fem tot_gl_hours_9_gr_male tot_gl_hours_9_gr_fem tot_gl_hours_15_gr_male tot_gl_hours_15_gr_fem tot_gl_hours_20_gr_male tot_gl_hours_20_gr_fem {
replace `var'=`var'/100
replace `var' = 0  if years_since_finish<=0
label var `var' "Total glh (divided by 100) grouped by gender post FE"
}

***Age (not banded):
cap drop age_first_fe
gen age_first_fe = (min_acadyear_inst-ks4_acadyr)+15
label var age_first_fe "Age first entered FE college"


*rename academicyear academicyear_learner
cap drop years_since_startFE
gen years_since_startFE=academicyear-min_acadyear_inst /* this variable can be negative which means years before FE*/
replace years_since_startFE=-6 if years_since_startFE==-7
cap drop years_since_startFE_*
tab  years_since_startFE, gen(years_since_startFE_)
cap drop years_since_startFE_pos
gen years_since_startFE_pos=years_since_startFE+6
cap label drop years_since_startFE_pos
label define years_since_startFE_pos 0 "-6" 1 "-5" 2 "-4" 3 "-3" 4 "-2" 5 "-1" 6 "0" 7 "1" 8 "2" 9 "3" 10 "4" 11 "5" 12 "6" 13 "7" 14 "8" 15 "9" 16 "10" 17 "11"
label values years_since_startFE_pos years_since_startFE_pos
label var years_since_startFE_pos "Time relative to FE start"

tab years_since_startFE_pos  years_since_startFE

egen id_num=group(id)

********************************
*GLOBALS FOR CONTROLS  
********************************

global mainsector1 " ib0.main_sector_noPLW_postFE " /*ommitted business: CH,no omitted is just pre-FE period*/
global mainsector2 "ib0.main_sector_noPLW_postFE#c.cum_exp_years ib0.main_sector_noPLW_postFE#c.age"
global college_FE "i.inst_id"
*global controls "cum_exp_years cum_exp_years_sq inschool cum_courses_comp_l0 cum_courses_comp_l1 cum_courses_comp_l2 cum_courses_comp_l3 cum_courses_comp_l4 cum_courses_ach_l0 cum_courses_ach_l1 cum_courses_ach_l2 cum_courses_ach_l3 cum_courses_ach_l4 "
global controls "cum_exp_years cum_exp_years_sq i.inschool age age_sq" /*Claudia 12.09.2019: adeed age and age_sq because missing and we include it in adult returns*/

global interactions_yearsexp "i.fsmeligible#c.cum_exp_years i.non_sen#c.cum_exp_years c.neigh_pov#c.cum_exp_years c.sd_ks4_score#c.cum_exp_years  i.ks3_matlev_v2#c.cum_exp_years i.ks3_englev_v2#c.cum_exp_years"


*global controls_emp "inschool cum_courses_comp_l0 cum_courses_comp_l1 cum_courses_comp_l2 cum_courses_comp_l3 cum_courses_comp_l4 cum_courses_ach_l0 cum_courses_ach_l1 cum_courses_ach_l2 cum_courses_ach_l3 cum_courses_ach_l4 "
global controls_emp "i.inschool" /*Jeni: 11.05.2018: excluding bad controls*/
global controls_time "i.academicyear d_yr_bef_FE c.years_since_finish ib4.years_since_startFE_pos"


* controlling for GLH for different types of qualifications (this is not all the possible quals, but only the most important ones)

*** NEW ACHIEVED ***


* controlling for GLH for different types of qualifications (this is not all the possible quals, but only the most important ones)
global glhtypequal "btec_lev1_glh_a_postFE key_funct_lev1_glh_a_postFE other_voc_lev1_glh_a_postFE nvq_lev1_glh_a_postFE btec_lev2_glh_a_postFE acad_lev2_glh_a_postFE key_funct_lev2_glh_a_postFE other_voc_lev2_glh_a_postFE nvq_lev2_glh_a_postFE btec_lev3_glh_a_postFE acad_lev3_glh_a_postFE keyskills_lev3_glh_a_postFE nvq_lev3_glh_a_postFE other_voc_lev3_glh_a_postFE voc_lev4_glh_a_postFE voc_lev5_glh_a_postFE tutorials_gce_gcse_glh_a_postFE"

global glhawarding "AQA_glh_a_postFE CG_glh_a_postFE EDEXCEL_glh_a_postFE NCFE_glh_a_postFE OCR_glh_a_postFE"

global glhbysector " cum_total_glh_n_sector1_postFE cum_total_glh_n_sector2_postFE cum_total_glh_n_sector3_postFE cum_total_glh_n_sector4_postFE cum_total_glh_n_sector5_postFE cum_total_glh_n_sector6_postFE cum_total_glh_n_sector7_postFE cum_total_glh_n_sector8_postFE cum_total_glh_n_sector9_postFE cum_total_glh_n_sector10_postFE cum_total_glh_n_sector11_postFE cum_total_glh_n_sector12_postFE cum_total_glh_n_sector13_postFE cum_total_glh_n_sector14_postFE cum_total_glh_n_sector15_postFE"

global glhbysector_yr_f " c.cum_total_glh_n_sector1_postFE#c.years_since_finish c.cum_total_glh_n_sector2_postFE#c.years_since_finish c.cum_total_glh_n_sector3_postFE#c.years_since_finish c.cum_total_glh_n_sector4_postFE#c.years_since_finish c.cum_total_glh_n_sector5_postFE#c.years_since_finish c.cum_total_glh_n_sector6_postFE#c.years_since_finish c.cum_total_glh_n_sector7_postFE#c.years_since_finish c.cum_total_glh_n_sector8_postFE#c.years_since_finish c.cum_total_glh_n_sector9_postFE#c.years_since_finish c.cum_total_glh_n_sector10_postFE#c.years_since_finish c.cum_total_glh_n_sector11_postFE#c.years_since_finish c.cum_total_glh_n_sector12_postFE#c.years_since_finish c.cum_total_glh_n_sector13_postFE#c.years_since_finish c.cum_total_glh_n_sector14_postFE#c.years_since_finish c.cum_total_glh_n_sector15_postFE#c.years_since_finish"

global glhtypequal_yr_f "c.btec_lev1_glh_a_postFE#c.years_since_finish c.key_funct_lev1_glh_a_postFE#c.years_since_finish c.other_voc_lev1_glh_a_postFE#c.years_since_finish c.nvq_lev1_glh_a_postFE#c.years_since_finish c.btec_lev2_glh_a_postFE#c.years_since_finish c.acad_lev2_glh_a_postFE#c.years_since_finish c.key_funct_lev2_glh_a_postFE#c.years_since_finish c.other_voc_lev2_glh_a_postFE#c.years_since_finish c.nvq_lev2_glh_a_postFE#c.years_since_finish c.btec_lev3_glh_a_postFE#c.years_since_finish c.acad_lev3_glh_a_postFE#c.years_since_finish c.keyskills_lev3_glh_a_postFE#c.years_since_finish c.nvq_lev3_glh_a_postFE#c.years_since_finish c.other_voc_lev3_glh_a_postFE#c.years_since_finish c.voc_lev4_glh_a_postFE#c.years_since_finish c.voc_lev5_glh_a_postFE#c.years_since_finish c.tutorials_gce_gcse_glh_a_postFE#c.years_since_finish"



/*
$glhbysector - OK 
$glhbysector_yr_f - OK 
$controls - OK 
$college_FE  - OK 
$controls_time - OK 
$glhtypequal - OK 
$glhawarding - OK 
$glhtypequal_yr_f - OK 

*/

recode jobseek_benefit (0=1) (1=0)
label var jobseek_benefit "Did not receive job seeking benefit"


cap drop sample1 
cap drop sample2 
cap drop sample3


gen sample1=(age_first_fe>15 & age_first_fe<21)
label var sample1 "Started age 16-20"
gen sample2=(age_first_fe>17 & age_first_fe<21)
label var sample2 "Started age 18-20"
gen sample3=(age_first_fe>=17 & age_first_fe<21)
label var sample3 "Started age 17-20"

*keep if sample2==1

cap drop index1
gen index1=index
replace index1=. if index>1
cap drop obs
bys ill_upin_ex: egen obs=count(index1)
drop index1 
*cap codebook ill_upin_ex if obs<100
*drop if obs<100
*(281 observations deleted)
*drop obs 


label var cum_total_glh_na_sector1_postFE "Health, Public Services and Care"
label var cum_total_glh_na_sector2_postFE "Science and Mathematics"
label var cum_total_glh_na_sector3_postFE "Agriculture, Horticulture and Animal Care"
label var cum_total_glh_na_sector4_postFE "Engineering and Manufacturing Technology"
label var cum_total_glh_na_sector5_postFE "Construction, Planning and the Built Environment"
label var cum_total_glh_na_sector6_postFE "Information and Communication Technolog"
label var cum_total_glh_na_sector7_postFE "Retail and Commercial Enterprise"
label var cum_total_glh_na_sector8_postFE "Leisure, Travel and Tourism"
label var cum_total_glh_na_sector9_postFE "Arts, Media and Publishing"
label var cum_total_glh_na_sector10_postFE "History, Philosophy and Theology"
label var cum_total_glh_na_sector11_postFE "Social Sciences" 
label var cum_total_glh_na_sector12_postFE "Languages, Literature and Culture"
label var cum_total_glh_na_sector13_postFE "Education and Training"
label var cum_total_glh_na_sector14_postFE "Preparation for Life and Work"
label var cum_total_glh_na_sector15_postFE "Business, Administration and Law"

label var cum_total_glh_n_sector1_postFE "Health Public Services and Care"
label var cum_total_glh_n_sector2_postFE "Science and Mathematics"
label var cum_total_glh_n_sector3_postFE "Agriculture Horticulture and Animal Care"
label var cum_total_glh_n_sector4_postFE "Engineering and Manufacturing Technology"
label var cum_total_glh_n_sector5_postFE "Construction Planning and the Built Environment"
label var cum_total_glh_n_sector6_postFE "Information and Communication Technolog"
label var cum_total_glh_n_sector7_postFE "Retail and Commercial Enterprise"
label var cum_total_glh_n_sector8_postFE "Leisure Travel and Tourism"
label var cum_total_glh_n_sector9_postFE "Arts Media and Publishing"
label var cum_total_glh_n_sector10_postFE "History Philosophy and Theology"
label var cum_total_glh_n_sector11_postFE "Social Sciences" 
label var cum_total_glh_n_sector12_postFE "Languages Literature and Culture"
label var cum_total_glh_n_sector13_postFE "Education and Training"
label var cum_total_glh_n_sector14_postFE "Preparation for Life and Work"
label var cum_total_glh_n_sector15_postFE "Business Administration and Law"

set matsize 5000

egen id_n=group(id)
xtset id_n

egen post_code=group(P14_pcode_sector)


keep if ever_hesa==0



cap log close 
log using "G:\Data\CEE\AucejoHupkauRuizValenzuela\regressions\LATEST\ValueAdded\FINAL_PAPER\LOG_FILES\2_Young_Panel_Returns_final_RR.log", replace 


** ALL - Mean GLH IN MAIN SECTOR

xtreg ln_adj_real_earn_day $glhbysector $glhbysector_yr_f $controls $college_FE   $controls_time $glhtypequal $glhawarding $glhtypequal_yr_f  i.ACC_region_clean#i.academicyear  if male==1 & ACC_region_clean~=99 & sample2==1, fe
cap drop regression_sample_m3
gen regression_sample_m3=e(sample) 

xtreg ln_adj_real_earn_day $glhbysector $glhbysector_yr_f $controls $college_FE   $controls_time $glhtypequal $glhawarding $glhtypequal_yr_f  i.ACC_region_clean#i.academicyear if male==0 & ACC_region_clean~=99 & sample2==1, fe
cap drop regression_sample_f3
gen regression_sample_f3=e(sample) 

cap drop regression_sample
	gen regression_sample=(regression_sample_m3==1 | regression_sample_f3==1)
cap drop regression_sample_ex
	bys id: egen regression_sample_ex=max(regression_sample)
	

** MALES  - Mean glh in main sector 

forvalues x=1(1)15{
sum cum_total_glh_n_sector`x'_postFE if main_sector_noPLW`x'==1 &  male==1 & academicyear==2017 & regression_sample_ex==1 &  sample2==1
scalar sector`x'male=r(mean)*100
di sector`x'male
}

** FEMALES - Mean GLH per main sector and Shares of students doing particular sector 

forvalues x=1(1)15{
sum cum_total_glh_n_sector`x'_postFE if main_sector_noPLW`x'==1 & male==0  & academicyear==2017 & regression_sample_ex==1 &  sample2==1 
scalar sector`x'female=r(mean)*100
di sector`x'female
}


*Returns to Major Specifications


* SPEC 3: MALE
xtreg ln_adj_real_earn_day $glhbysector $glhbysector_yr_f $controls $college_FE   $controls_time $glhtypequal $glhawarding $glhtypequal_yr_f  i.ACC_region_clean#i.academicyear  if male==1 & ACC_region_clean~=99 & sample2==1, fe
cap drop regression_sample_m3
gen regression_sample_m3=e(sample) 
est store maleyoung2017_spec3
matrix b_male_spec3=e(b)
matrix V_male_spec3=e(V)
scalar N_male_spec3=e(N)


forval i=1/15 {
scalar b_male_spec3_`i'=b_male_spec3[1,`i']
di b_male_spec3_`i'
scalar se_male_spec3_`i'=sqrt(V_male_spec3[`i',`i'])
di se_male_spec3_`i'
local j=`i'+15
scalar b1_male_spec3_`i'=b_male_spec3[1,`j']
di b1_male_spec3_`i'
scalar se1_male_spec3_`i'=sqrt(V_male_spec3[`j',`j'])
di se1_male_spec3_`i'
** covariance between beta glh and beta years finisehd x glh 
scalar cov_b_b1_male_spec3_`i'_`j'=V_male_spec3[`i',`j']
di cov_b_b1_male_spec3_`i'_`j'

di abs(b_male_spec3_`i'/se_male_spec3_`i')
	if inrange(2* ttail(e(df_r), abs(b_male_spec3_`i'/se_male_spec3_`i')),0.000000000,0.001) local star_male_spec3_`i'= "***"
	else if inrange(2* ttail(e(df_r), abs(b_male_spec3_`i'/se_male_spec3_`i')),0.0010000001,0.01) local star_male_spec3_`i' "**"
	else if inrange(2* ttail(e(df_r), abs(b_male_spec3_`i'/se_male_spec3_`i')),0.010000001,0.050) local star_male_spec3_`i'= "*"
	else local star_male_spec3_`i' = " "
	di "`star_male_spec3_`i''"
di abs(b1_male_spec3_`i'/se1_male_spec3_`i')
	if inrange(2* ttail(e(df_r), abs(b1_male_spec3_`i'/se1_male_spec3_`i')),0.000000000,0.001) local star1_male_spec3_`i'= "***"
	else if inrange(2* ttail(e(df_r), abs(b1_male_spec3_`i'/se1_male_spec3_`i')),0.0010000001,0.01) local star1_male_spec3_`i' "**"
	else if inrange(2* ttail(e(df_r), abs(b1_male_spec3_`i'/se1_male_spec3_`i')),0.010000001,0.050) local star1_male_spec3_`i'= "*"
	else local star1_male_spec3_`i' = " "
	di "`star1_male_spec3_`i''"
}

* interaction one year after 
forval i=1/15 {
 lincom sector`i'male/100*c.cum_total_glh_n_sector`i'_postFE+(sector`i'male/100)*c.cum_total_glh_n_sector`i'_postFE#c.years_since_finish
 scalar return_`i'_males_spec3=r(estimate)
 di return_`i'_males_spec3
 scalar se_int1_male_spec3_`i'=r(se)
 di "standard error of interaction efect: " se_int1_male_spec3_`i'
 scalar p_val_int1_male_spec3_`i'=r(p)

	if inrange(p_val_int1_male_spec3_`i',0.000000000,0.001) local star_int1_male_spec3_`i'= "***"
	else if inrange(p_val_int1_male_spec3_`i',0.0010000001,0.01) local star_int1_male_spec3_`i' "**"
	else if inrange(p_val_int1_male_spec3_`i',0.010000001,0.050) local star_int1_male_spec3_`i'= "*"
	else local star_int1_male_spec3_`i' = " "
	di "`star_int1_male_spec3_`i''"
}


* interaction effect five years after 
forval i=1/15 {
 lincom sector`i'male/100*c.cum_total_glh_n_sector`i'_postFE+(sector`i'male/100)*5*c.cum_total_glh_n_sector`i'_postFE#c.years_since_finish
 scalar pred_male_spec3_`i'=r(estimate)
 di pred_male_spec3_`i'
 scalar se_int_male_spec3_`i'=r(se)
 di "standard error of interaction efect: " se_int_male_spec3_`i'
 scalar ci_l_male_`i'=r(lb)
 di ci_l_male_`i' 
 scalar ci_u_male_`i'=r(ub)
 di ci_u_male_`i'
 scalar p_val_int_male_spec3_`i'=r(p)

	if inrange(p_val_int_male_spec3_`i',0.000000000,0.001) local star_int_male_spec3_`i'= "***"
	else if inrange(p_val_int_male_spec3_`i',0.0010000001,0.01) local star_int_male_spec3_`i' "**"
	else if inrange(p_val_int_male_spec3_`i',0.010000001,0.050) local star_int_male_spec3_`i'= "*"
	else local star_int_male_spec3_`i' = " "
	di "`star_int_male_spec3_`i''"
}


* SPEC 3: FEMALE
xtreg ln_adj_real_earn_day $glhbysector $glhbysector_yr_f $controls $college_FE   $controls_time $glhtypequal $glhawarding $glhtypequal_yr_f  i.ACC_region_clean#i.academicyear if male==0 & ACC_region_clean~=99 & sample2==1, fe
cap drop regression_sample_f3
gen regression_sample_f3=e(sample) 

est store femaleyoung2017_spec3
matrix b_female_spec3=e(b)
matrix V_female_spec3=e(V)
scalar N_female_spec3=e(N)

forval i=1/15 {
scalar b_female_spec3_`i'=b_female_spec3[1,`i']
di b_female_spec3_`i'
scalar se_female_spec3_`i'=sqrt(V_female_spec3[`i',`i'])
di se_female_spec3_`i'
local j=`i'+15
scalar b1_female_spec3_`i'=b_female_spec3[1,`j']
di b1_female_spec3_`i'
scalar se1_female_spec3_`i'=sqrt(V_female_spec3[`j',`j'])
di se1_female_spec3_`i'
di abs(b_female_spec3_`i'/se_female_spec3_`i')
	if inrange(2* ttail(e(df_r), abs(b_female_spec3_`i'/se_female_spec3_`i')),0.000000000,0.001) local star_female_spec3_`i'= "***"
	else if inrange(2* ttail(e(df_r), abs(b_female_spec3_`i'/se_female_spec3_`i')),0.0010000001,0.01) local star_female_spec3_`i' "**"
	else if inrange(2* ttail(e(df_r), abs(b_female_spec3_`i'/se_female_spec3_`i')),0.010000001,0.050) local star_female_spec3_`i'= "*"
	else local star_female_spec3_`i' = " "
	di "`star_female_spec3_`i''"
di abs(b1_female_spec3_`i'/se1_female_spec3_`i')
	if inrange(2* ttail(e(df_r), abs(b1_female_spec3_`i'/se1_female_spec3_`i')),0.000000000,0.001) local star1_female_spec3_`i'= "***"
	else if inrange(2* ttail(e(df_r), abs(b1_female_spec3_`i'/se1_female_spec3_`i')),0.0010000001,0.01) local star1_female_spec3_`i' "**"
	else if inrange(2* ttail(e(df_r), abs(b1_female_spec3_`i'/se1_female_spec3_`i')),0.010000001,0.050) local star1_female_spec3_`i'= "*"
	else local star1_female_spec3_`i' = " "
	di "`star1_female_spec3_`i''"
}


* interaction one year after 
forval i=1/15 {
 lincom sector`i'female/100*c.cum_total_glh_n_sector`i'_postFE+(sector`i'female/100)*c.cum_total_glh_n_sector`i'_postFE#c.years_since_finish
 scalar return_`i'_females_spec3=r(estimate)
 di return_`i'_females_spec3
 scalar se_int1_female_spec3_`i'=r(se)
 di "standard error of interaction efect: " se_int1_female_spec3_`i'
 scalar p_val_int1_female_spec3_`i'=r(p)

	if inrange(p_val_int1_female_spec3_`i',0.000000000,0.001) local star_int1_female_spec3_`i'= "***"
	else if inrange(p_val_int1_female_spec3_`i',0.0010000001,0.01) local star_int1_female_spec3_`i' "**"
	else if inrange(p_val_int1_female_spec3_`i',0.010000001,0.050) local star_int1_female_spec3_`i'= "*"
	else local star_int1_female_spec3_`i' = " "
	di "`star_int1_female_spec3_`i''"
}


* interaction effect five years after 
forval i=1/15 {
 lincom sector`i'female/100*c.cum_total_glh_n_sector`i'_postFE+(sector`i'female/100)*5*c.cum_total_glh_n_sector`i'_postFE#c.years_since_finish
 scalar pred_female_spec3_`i'=r(estimate)
 di pred_female_spec3_`i'
 scalar se_int_female_spec3_`i'=r(se)
 di "standard error of interaction efect: " se_int_female_spec3_`i'
 scalar ci_l_female_`i'=r(lb)
 di ci_l_female_`i' 
 scalar ci_u_female_`i'=r(ub)
 di ci_u_female_`i'
 scalar p_val_int_female_spec3_`i'=r(p)

	if inrange(p_val_int_female_spec3_`i',0.000000000,0.001) local star_int_female_spec3_`i'= "***"
	else if inrange(p_val_int_female_spec3_`i',0.0010000001,0.01) local star_int_female_spec3_`i' "**"
	else if inrange(p_val_int_female_spec3_`i',0.010000001,0.050) local star_int_female_spec3_`i'= "*"
	else local star1_female_spec3_`i' = " "
	di "`star_int_female_spec3_`i''"
}

cap log close 


** SHARES IN MAIN SECTOR - MALES 

tab main_sector_noPLW if  male==1 & academicyear==2017 & regression_sample_ex==1 &  sample2==1, matcell(males_tab)
matrix list males_tab
forval i=1/15 {
scalar nb_`i'=males_tab[`i',1]
display nb_`i'
}

scalar total_males=nb_1+nb_2+nb_3+nb_4+nb_5+nb_6+nb_7+nb_8+nb_9+nb_10+nb_11+nb_12+nb_13+nb_14+nb_15
display total_males

forval i=1/15 {
scalar share_`i'_males=nb_`i'/total_males*100
di share_`i'_males
}






*** FEAMLES 


* SHARE MAIN SECTOR - FEMALES 

tab main_sector_noPLW if male==0 &  academicyear==2017 & regression_sample_ex==1 &  sample2==1, matcell(females_tab)
matrix list females_tab
forval i=1/15 {
scalar nb_`i'=females_tab[`i',1]
display nb_`i'
}

scalar total_females=nb_1+nb_2+nb_3+nb_4+nb_5+nb_6+nb_7+nb_8+nb_9+nb_10+nb_11+nb_12+nb_13+nb_14+nb_15
display total_females

forval i=1/15 {
scalar share_`i'_females=nb_`i'/total_females*100
di share_`i'_females
}



**************************************************************************
*** ONCE REGRESSIONS ARE RUN; RERUN FROM HERE TO GET TABLES!!!! 
***************************************************************************
* need to store mean glh as locals
 foreach sex in male female {
forval i=1/15 {
local sector`i'`sex'= sector`i'`sex'
di `sector`i'`sex''
}
}




* need to store shares as locals

 foreach sex in males females {
forval i=1/15 {
local share_`i'_`sex'= share_`i'_`sex'
di `share_`i'_`sex''
}
}


* nunber of observations 
foreach sex in male female {
local N_`sex'_spec3=  N_`sex'_spec3
di `N_`sex'_spec3'
}



* need to store betas as locals 

 foreach sex in male female {
foreach j in 3 {
forval i=1/15 {
local b_`sex'_spec`j'_`i'= b_`sex'_spec`j'_`i'
di `b_`sex'_spec`j'_`i''
}
}
}


* beta 2
 foreach sex in male female {
foreach j in 3 {
forval i=1/15 {
local b1_`sex'_spec`j'_`i'= b1_`sex'_spec`j'_`i'
di `b1_`sex'_spec`j'_`i''
}
}
}



* interaction term after 1 year 
 foreach sex in male female {
foreach j in 3 {
forval i=1/15 {
local return_`i'_`sex's_spec`j'= return_`i'_`sex's_spec`j'
di `return_`i'_`sex's_spec`j''
}
}
}


* interaction term after 5 years 
 foreach sex in male female {
foreach j in 3 {
forval i=1/15 {
local pred_`sex'_spec`j'_`i'= pred_`sex'_spec`j'_`i'
di `pred_`sex'_spec`j'_`i''
}
}
}

* need to store standard errors as locals to be picked up 

 foreach sex in male female {
foreach j in 3 {
forval i=1/15 {
local se_`sex'_spec`j'_`i'= se_`sex'_spec`j'_`i'
di `se_`sex'_spec`j'_`i''
}
}
}


 foreach sex in male female {
   foreach j in 3 {
forval i=1/15 {
local se1_`sex'_spec`j'_`i'= se1_`sex'_spec`j'_`i'
di `se1_`sex'_spec`j'_`i''
}
}
}

 foreach sex in male female {
   foreach j in 3 {
forval i=1/15 {
local se_int1_`sex'_spec`j'_`i'= se_int1_`sex'_spec`j'_`i'
di se_int1_`sex'_spec`j'_`i'
}
}
}

 foreach sex in male female {
   foreach j in 3 {
forval i=1/15 {
local se_int_`sex'_spec`j'_`i'= se_int_`sex'_spec`j'_`i'
di se_int_`sex'_spec`j'_`i'
}
}
}









local sector1 "Health, Public Services and Care"
local sector2 "Science and Mathematics"
local sector3 "Agriculture, Horticulture and Animal Care"
local sector4 "Engineering and Manufacturing Technology"
local sector5 "Construction, Planning and the Built Environment"
local sector6 "Information and Communication Technology"
local sector7 "Retail and Commercial Enterprise"
local sector8 "Leisure, Travel and Tourism"
local sector9 "Arts, Media and Publishing"
local sector10 "History, Philosophy and Theology"
local sector11 "Social Sciences" 
local sector12 "Languages, Literature and Culture"
local sector13 "Education and Training"
local sector14 "Preparation for Life and Work"
local sector15 "Business Administration and Law"

*** MAKE REGRESSION OUTPUT TABLE - MALES - MAIN TEXT 


*** Get the locals for the stars 
* Interaction after 1 years 

foreach sex in male female {
forval i=1/15 {
	if inrange(p_val_int1_`sex'_spec3_`i',0.000000000,0.001) local star_int1_`sex'_spec3_`i'= "***"
	else if inrange(p_val_int1_`sex'_spec3_`i',0.001000000000001,0.01) local star_int1_`sex'_spec3_`i' "**"
	else if inrange(p_val_int1_`sex'_spec3_`i',0.01000000000001,0.050) local star_int1_`sex'_spec3_`i'= "*"
	else local star_int1_`sex'_spec3_`i' = " "
	di "`star_int1_`sex'_spec3_`i''"
}
}

	
* Interaction after 5 years 
foreach sex in male female {
forval i=1/15 {
if inrange(p_val_int_`sex'_spec3_`i',0.000000000,0.001) local star_int_`sex'_spec3_`i'= "***"
	else if inrange(p_val_int_`sex'_spec3_`i',0.001000000000001,0.01) local star_int_`sex'_spec3_`i' "**"
	else if inrange(p_val_int_`sex'_spec3_`i',0.01000000000001,0.050) local star_int_`sex'_spec3_`i'= "*"
	else local star1_`sex'_spec3_`i' = " "
	di "`star_int_`sex'_spec3_`i''"
}
}


*BETA 1
foreach sex in male female {
foreach j in 3 {
forval i=1/15 {
di abs(b_`sex'_spec`j'_`i'/se_`sex'_spec`j'_`i')
	if inrange(2* normal(-abs((b_`sex'_spec`j'_`i')/se_`sex'_spec`j'_`i')),0.000000000,0.001) local star_`sex'_spec`j'_`i'= "***"
	else if inrange(2* normal(-abs((b_`sex'_spec`j'_`i')/se_`sex'_spec`j'_`i')),0.001000000000001,0.01) local star_`sex'_spec`j'_`i' "**"
	else if inrange(2* normal(-abs((b_`sex'_spec`j'_`i')/se_`sex'_spec`j'_`i')),0.01000000000001,0.050) local star_`sex'_spec`j'_`i'= "*"
	else local star_`sex'_spec`j'_`i' = " "
	di "`star_`sex'_spec`j'_`i''"
}
}
}

* BETA 2
foreach j in 3 {
foreach sex in male female {
forval i=1/15 {
	di abs(b1_`sex'_spec`j'_`i'/se1_`sex'_spec`j'_`i')
	if inrange(2* normal(-abs(b1_`sex'_spec`j'_`i'/se1_`sex'_spec`j'_`i')),0.000000000,0.001) local star1_`sex'_spec`j'_`i'= "***"
	else if inrange(2* normal(-abs(b1_`sex'_spec`j'_`i'/se1_`sex'_spec`j'_`i')),0.001000000000001,0.01) local star1_`sex'_spec`j'_`i' "**"
	else if inrange(2* normal(-abs(b1_`sex'_spec`j'_`i'/se1_`sex'_spec`j'_`i')),0.01000000000001,0.050) local star1_`sex'_spec`j'_`i'= "*"
	else local star1_`sex'_spec`j'_`i' = " "
	di b1_`sex'_spec3_`i'
	di "`star1_`sex'_spec`j'_`i''"
}
}
}



foreach sex in male female {

cap file close fh
file open summary using "J:\Projects\Value Added Further Education\FINAL_TABLES\resubmission\1_Young_Panel_Returns_`sex'_FINAL_RR.tex", write replace

	file write summary "\begin{tabular}{l@{\extracolsep{2mm}}cccccc}"
	file write summary "\toprule" 
	file write summary " & (1) & (2) & (3) &  (4) & (5) & (6)  \\" 
	file write summary "Field of Study & \multicolumn{2}{c}{Coefficients}  &  Mean GLH  & \multicolumn{2}{c}{Estimated return}  & Share of individuals  \\" 
	file write summary " & $\mathbf{\Upsilon_1}$ &  $\mathbf{\Upsilon_2}$ &  if main field & 1 year post FE & 5 years post FE & specializing in field \\" 
	file write summary "\midrule" 
	forval i=1/15 {
	file write summary " `sector`i'' &   \MyNum{`b_`sex'_spec3_`i''}`star_`sex'_spec3_`i''  & \MyNum{`b1_`sex'_spec3_`i''}`star1_`sex'_spec3_`i''  & \MyNumBis{`sector`i'`sex''} &  \MyNum{`return_`i'_`sex's_spec3'}`star_int1_`sex'_spec3_`i'' &  \MyNum{`pred_`sex'_spec3_`i''}`star_int_`sex'_spec3_`i'' & \MyNumBisOne{`share_`i'_`sex's'}\%  \\ "
	file write summary "  & (\MyNum{`se_`sex'_spec3_`i''}) &   (\MyNum{`se1_`sex'_spec3_`i''}) &  &  (\MyNum{`se_int1_`sex'_spec3_`i''}) &   (\MyNum{`se_int_`sex'_spec3_`i''}) & \\ "
	}
	file write summary " Observations &  \multicolumn{2}{c}{\MyNum{`N_`sex'_spec3'}}  &   &    &    &   \\ "
	file write summary "\bottomrule" 
	file write summary "\end{tabular}"
	file close summary
type "J:\Projects\Value Added Further Education\FINAL_TABLES\resubmission\1_Young_Panel_Returns_`sex'_FINAL_RR.tex"
}
ex
	

*** TABLE OF AVERAGE GLH IN OTHER SECTORS BY MAIN SECTOR 
* share of glh in sectors 1-15 for main sectors 1-15

forval i=5/5 {
forvalues x=1(1)15{
cap drop share_sector`x'male_main`i'
gen share_sector`x'male_main`i'=cum_total_glh_sector`x'/cum_total_glh if sample2==1
sum share_sector`x'male_main`i' if main_sector_noPLW`i'==1 & male==1  & sample2==1
scalar sh_sector`x'male_main`i'=r(mean)*100
di sh_sector`x'male_main`i'
}
}

forval i=5/5 {
forvalues x=1(1)15{
cap drop share_sector`x'male_main`i'
gen share_sector`x'male_main`i'=cum_total_glh_sector`x'/cum_total_glh if sample1==1
sum share_sector`x'male_main`i' if main_sector_noPLW`i'==1 &  male==1   & sample1==1
scalar sh_sector`x'male_main`i'_1620=r(mean)*100
di sh_sector`x'male_main`i'_1620
}
}

forval i=1/1 {
forvalues x=1(1)15{
cap drop share_sector`x'female_main`i'
gen share_sector`x'female_main`i'=cum_total_glh_sector`x'/cum_total_glh if sample2==1
sum share_sector`x'female_main`i' if main_sector_noPLW`i'==1 &  male==0  & sample2==1
scalar sh_sector`x'female_main`i'=r(mean)*100
di sh_sector`x'female_main`i'
}
}

forval i=1/1 {
forvalues x=1(1)15{
cap drop share_sector`x'female_main`i'
gen share_sector`x'female_main`i'=cum_total_glh_sector`x'/cum_total_glh if sample1==1
sum share_sector`x'female_main`i' if main_sector_noPLW`i'==1  & male==0 & sample1==1
scalar sh_sector`x'female_main`i'_1620=r(mean)*100
di sh_sector`x'female_main`i'_1620
}
}


local sector1 "Health, Public Services \& Care"
local sector2 "Science \& Mathematics"
local sector3 "Agriculture, Horticulture \& Animal Care"
local sector4 "Engineering \& Manufacturing Technology"
local sector5 "Construction \&  Planning"
local sector6 "Information \& Communication Technology"
local sector7 "Retail and Commercial Enterprise"
local sector8 "Leisure, Travel and Tourism"
local sector9 "Arts, Media and Publishing"
local sector10 "History, Philosophy \& Theology"
local sector11 "Social Sciences" 
local sector12 "Languages, Literature \& Culture"
local sector13 "Education \& Training"
local sector14 "Preparation for Life \& Work"
local sector15 "Business Administration \& Law"

* FOR MALES: CHOOSE SECTOR 5

cap file close fh
file open fh using "J:\Projects\Value Added Further Education\FINAL_TABLES\resubmission\1_Young_Panel_Returns_Males_LearningbyMainsector_exHESA_RR.tex", write replace
file write fh _n  "\begin{tabular}{ll@{\extracolsep{2mm}}cc}"
	file write fh _n "\toprule"
	file write fh _n "\multirow{1}{*}{\parbox{2.5cm}{Main Sector}} & Sector & \multicolumn{2}{c}{Share of total GLH (\%)}  \\" 
	file write fh _n " &  & age 18-20  & age 16-20  \\" 
	file write fh _n "\hline" 
	forval i=5/5 {
	forval x=1/1 {
	file write fh _n " \multirow{15}{*}{\parbox{2.5cm}{`sector`i''}} &  `sector`x'' & " %9.2fc ((sh_sector`x'male_main`i')) " & " %9.2fc ((sh_sector`x'male_main`i'_1620)) " \\ "
	}
	forval x=2/15 {
	file write fh _n "  &  `sector`x'' & " %9.2fc ((sh_sector`x'male_main`i')) " & " %9.2fc ((sh_sector`x'male_main`i'_1620)) " \\ "
	}
	}
	file write fh _n "\bottomrule" 
 	file write fh _n "\end{tabular}"
 	file close fh
type "J:\Projects\Value Added Further Education\FINAL_TABLES\resubmission\1_Young_Panel_Returns_Males_LearningbyMainsector_exHESA_RR.tex"

	
* FOR FEMALES: CHoose sector 1


cap file close fh
file open fh using "J:\Projects\Value Added Further Education\FINAL_TABLES\resubmission\1_Young_Panel_Returns_Females_LearningbyMainsector_exHESA_RR.tex", write replace
file write fh _n  "\begin{tabular}{ll@{\extracolsep{2mm}}cc}"
	file write fh _n "\toprule"
	file write fh _n "\multirow{1}{*}{\parbox{2.5cm}{Main Sector}} & Sector & \multicolumn{2}{c}{Share of total GLH (\%)}  \\" 
	file write fh _n " &  & age 18-20  & age 16-20  \\" 
	file write fh _n "\hline" 
	forval i=1/1 {
	forval x=1/1 {
	file write fh _n " \multirow{15}{*}{\parbox{2.5cm}{`sector`i''}} &  `sector`x'' & " %9.2fc ((sh_sector`x'female_main`i')) " & " %9.2fc ((sh_sector`x'female_main`i'_1620)) " \\ "
	}
	forval x=2/15 {
	file write fh _n "  &  `sector`x'' & " %9.2fc ((sh_sector`x'female_main`i')) " & " %9.2fc ((sh_sector`x'female_main`i'_1620)) " \\ "
	}
	}
	file write fh _n "\bottomrule" 
 	file write fh _n "\end{tabular}"
 	file close fh
type "J:\Projects\Value Added Further Education\FINAL_TABLES\resubmission\1_Young_Panel_Returns_Females_LearningbyMainsector_exHESA_RR.tex"

