
***NOTE JENI: All this data is constructed in do-file: 
*"G:\Data\CEE\AucejoHupkauRuizValenzuela\do_files\adult_panel\4_adult_panel.do" 

**************************************************************************************************************
use "G:\Data\CEE\AucejoHupkauRuizValenzuela\clean_data\adultpanel\panel_adults_FEcoll_0710_vars.dta", clear 
**************************************************************************************************************


///////******///////*************///////******///////
///////******///** **Sample restrictions ** ** ////
///////*************///////******//////////////******

***NOTE: Most restrictions for adults are already incorporated in the files building the data, to save space
bys id: gen index=_n

*Drop those with main sector other than 1 to 15: CAREFUL - THIS NEEDS TO BE ADAPTED TO THE MAIN SECTOR VARIABLE THAT WE END UP USING! 
drop if main_sector_ex==. 


/////****** END SAMPLE SELECTION ******////

*Gender:
*g male=1-gender

set matsize 5000

bys id: egen max_year=max(academicyear)


********************************
*GLOBALS FOR CONTROLS  
********************************

global mainsector1 " ib0.main_sector_noPLW_postFE " 
global mainsector2 "ib0.main_sector_noPLW_postFE#c.cum_exp_years ib0.main_sector_noPLW_postFE#c.age"
global college_FE "i.inst_id"
*global controls "cum_exp_years cum_exp_years_sq inschool cum_courses_comp_l0 cum_courses_comp_l1 cum_courses_comp_l2 cum_courses_comp_l3 cum_courses_comp_l4 cum_courses_ach_l0 cum_courses_ach_l1 cum_courses_ach_l2 cum_courses_ach_l3 cum_courses_ach_l4 "
global controls "cum_exp_years cum_exp_years_sq i.inschool_all_ILR i.inschool_WBL i.inschool_APP age age_sq" 
*global controls_emp "inschool cum_courses_comp_l0 cum_courses_comp_l1 cum_courses_comp_l2 cum_courses_comp_l3 cum_courses_comp_l4 cum_courses_ach_l0 cum_courses_ach_l1 cum_courses_ach_l2 cum_courses_ach_l3 cum_courses_ach_l4 "
global controls_emp "i.inschool i.inschool_all_ILR i.inschool_WBL i.inschool_APP age age_sq" 
global controls_time "i.academicyear d_yr_bef_FE c.years_since_finish ib4.years_since_startFE_pos"


* controlling for GLH for different types of qualifications (this is not all the possible quals, but only the most important ones)
global glhtypequal "glh_btec_lev1_ach_pFE glh_key_funct_lev1_ach_pFE glh_other_voc_lev1_ach_pFE glh_nvq_lev1_ach_pFE glh_btec_lev2_ach_pFE glh_acad_lev2_ach_pFE glh_key_funct_lev2_ach_pFE glh_other_voc_lev2_ach_pFE glh_nvq_lev2_ach_pFE glh_btec_lev3_ach_pFE glh_acad_lev3_ach_pFE glh_keyskills_lev3_ach_pFE glh_nvq_lev3_ach_pFE glh_other_voc_lev3_ach_pFE glh_voc_lev4_ach_pFE glh_voc_lev5_ach_pFE glh_tutorials_gce_gcse_ach_pFE"

global glhawarding "glh_AQA_ach_pFE glh_CG_ach_pFE glh_EDEXCEL_ach_pFE glh_NCFE_ach_pFE glh_OCR_ach_pFE"

global glhtypequal_yr_f "c.glh_btec_lev1_ach_pFE#c.years_since_finish c.glh_key_funct_lev1_ach_pFE#c.years_since_finish c.glh_other_voc_lev1_ach_pFE#c.years_since_finish c.glh_nvq_lev1_ach_pFE#c.years_since_finish c.glh_btec_lev2_ach_pFE#c.years_since_finish c.glh_acad_lev2_ach_pFE#c.years_since_finish c.glh_key_funct_lev2_ach_pFE#c.years_since_finish c.glh_other_voc_lev2_ach_pFE#c.years_since_finish c.glh_nvq_lev2_ach_pFE#c.years_since_finish c.glh_btec_lev3_ach_pFE#c.years_since_finish c.glh_acad_lev3_ach_pFE#c.years_since_finish c.glh_keyskills_lev3_ach_pFE#c.years_since_finish c.glh_nvq_lev3_ach_pFE#c.years_since_finish c.glh_other_voc_lev3_ach_pFE#c.years_since_finish c.glh_voc_lev4_ach_pFE#c.years_since_finish c.glh_voc_lev5_ach_pFE#c.years_since_finish c.glh_tutorials_gce_gcse_ach_pFE#c.years_since_finish"


global glhbysector " cum_total_glh_n_sector1_postFE cum_total_glh_n_sector2_postFE cum_total_glh_n_sector3_postFE cum_total_glh_n_sector4_postFE cum_total_glh_n_sector5_postFE cum_total_glh_n_sector6_postFE cum_total_glh_n_sector7_postFE cum_total_glh_n_sector8_postFE cum_total_glh_n_sector9_postFE cum_total_glh_n_sector10_postFE cum_total_glh_n_sector11_postFE cum_total_glh_n_sector12_postFE cum_total_glh_n_sector13_postFE cum_total_glh_n_sector14_postFE cum_total_glh_n_sector15_postFE"

global glhbysector_yr_f " c.cum_total_glh_n_sector1_postFE#c.years_since_finish c.cum_total_glh_n_sector2_postFE#c.years_since_finish c.cum_total_glh_n_sector3_postFE#c.years_since_finish c.cum_total_glh_n_sector4_postFE#c.years_since_finish c.cum_total_glh_n_sector5_postFE#c.years_since_finish c.cum_total_glh_n_sector6_postFE#c.years_since_finish c.cum_total_glh_n_sector7_postFE#c.years_since_finish c.cum_total_glh_n_sector8_postFE#c.years_since_finish c.cum_total_glh_n_sector9_postFE#c.years_since_finish c.cum_total_glh_n_sector10_postFE#c.years_since_finish c.cum_total_glh_n_sector11_postFE#c.years_since_finish c.cum_total_glh_n_sector12_postFE#c.years_since_finish c.cum_total_glh_n_sector13_postFE#c.years_since_finish c.cum_total_glh_n_sector14_postFE#c.years_since_finish c.cum_total_glh_n_sector15_postFE#c.years_since_finish"


cap log close 
log using "G:\Data\CEE\AucejoHupkauRuizValenzuela\regressions\LATEST\ValueAdded\FINAL_PAPER\LOG_FILES\2_Adult_Panel_Returns_FINAL_RR.log", replace 


** ALL - Mean GLH IN MAIN SECTOR

xtreg ln_adj_real_earn_day $glhbysector $glhbysector_yr_f $controls $college_FE   $controls_time $glhtypequal $glhawarding $glhtypequal_yr_f  i.ACC_region_clean#i.academicyear  if male==1 , fe
cap drop regression_sample_m3
gen regression_sample_m3=e(sample) 

xtreg ln_adj_real_earn_day $glhbysector $glhbysector_yr_f $controls $college_FE   $controls_time $glhtypequal $glhawarding $glhtypequal_yr_f  i.ACC_region_clean#i.academicyear if male==0 , fe
cap drop regression_sample_f3
gen regression_sample_f3=e(sample) 

cap drop regression_sample
	gen regression_sample=(regression_sample_m3==1 | regression_sample_f3==1)
cap drop regression_sample_ex
	bys id: egen regression_sample_ex=max(regression_sample)
	

** MALES  - Mean glh in main sector 

forvalues x=1(1)15{
sum cum_total_glh_n_sector`x'_postFE if main_sector_noPLW`x'==1 & academicyear==2017 & regression_sample_ex==1 & male==1
scalar sector`x'male=r(mean)*100
di sector`x'male
}

** FEMALES - Mean GLH per main sector and Shares of students doing particular sector 

forvalues x=1(1)15{
sum cum_total_glh_n_sector`x'_postFE if main_sector_noPLW`x'==1 & academicyear==2017 & regression_sample_ex==1 & male==0
scalar sector`x'female=r(mean)*100
di sector`x'female
}



*Returns to Major Specifications





* SPEC 3: MALE
xtreg ln_adj_real_earn_day $glhbysector $glhbysector_yr_f $controls $college_FE   $controls_time $glhtypequal $glhawarding  $glhtypequal_yr_f i.ACC_region_clean#i.academicyear if male==1 , fe
cap drop regression_sample_m3
gen regression_sample_m3=e(sample) 
est store maleyoung2017_spec3
matrix b_male_spec3=e(b)
matrix V_male_spec3=e(V)
scalar N_male_spec3=e(N)


forval i=1/15 {
scalar b_male_spec3_`i'=b_male_spec3[1,`i']
di b_male_spec3_`i'
scalar se_male_spec3_`i'=sqrt(V_male_spec3[`i',`i'])
di se_male_spec3_`i'
local j=`i'+15
scalar b1_male_spec3_`i'=b_male_spec3[1,`j']
di b1_male_spec3_`i'
scalar se1_male_spec3_`i'=sqrt(V_male_spec3[`j',`j'])
di se1_male_spec3_`i'
** covariance between beta glh and beta years finisehd x glh 
scalar cov_b_b1_male_spec3_`i'_`j'=V_male_spec3[`i',`j']
di cov_b_b1_male_spec3_`i'_`j'

di abs(b_male_spec3_`i'/se_male_spec3_`i')
	if inrange(2* ttail(e(df_r), abs(b_male_spec3_`i'/se_male_spec3_`i')),0.000000000,0.001) local star_male_spec3_`i'= "***"
	else if inrange(2* ttail(e(df_r), abs(b_male_spec3_`i'/se_male_spec3_`i')),0.0010000001,0.01) local star_male_spec3_`i' "**"
	else if inrange(2* ttail(e(df_r), abs(b_male_spec3_`i'/se_male_spec3_`i')),0.010000001,0.050) local star_male_spec3_`i'= "*"
	else local star_male_spec3_`i' = " "
	di "`star_male_spec3_`i''"
di abs(b1_male_spec3_`i'/se1_male_spec3_`i')
	if inrange(2* ttail(e(df_r), abs(b1_male_spec3_`i'/se1_male_spec3_`i')),0.000000000,0.001) local star1_male_spec3_`i'= "***"
	else if inrange(2* ttail(e(df_r), abs(b1_male_spec3_`i'/se1_male_spec3_`i')),0.0010000001,0.01) local star1_male_spec3_`i' "**"
	else if inrange(2* ttail(e(df_r), abs(b1_male_spec3_`i'/se1_male_spec3_`i')),0.010000001,0.050) local star1_male_spec3_`i'= "*"
	else local star1_male_spec3_`i' = " "
	di "`star1_male_spec3_`i''"
}

* interaction one year after 
forval i=1/15 {
 lincom sector`i'male/100*c.cum_total_glh_n_sector`i'_postFE+(sector`i'male/100)*c.cum_total_glh_n_sector`i'_postFE#c.years_since_finish
 scalar return_`i'_males_spec3=r(estimate)
 di return_`i'_males_spec3
 scalar se_int1_male_spec3_`i'=r(se)
 di "standard error of interaction efect: " se_int_male_spec3_`i'
 scalar p_val_int1_male_spec3_`i'=r(p)

	if inrange(p_val_int1_male_spec3_`i',0.000000000,0.001) local star_int1_male_spec3_`i'= "***"
	else if inrange(p_val_int1_male_spec3_`i',0.0010000001,0.01) local star_int1_male_spec3_`i' "**"
	else if inrange(p_val_int1_male_spec3_`i',0.010000001,0.050) local star_int1_male_spec3_`i'= "*"
	else local star_int1_male_spec3_`i' = " "
	di "`star_int1_male_spec3_`i''"
}


* interaction effect five years after 
forval i=1/15 {
 lincom sector`i'male/100*c.cum_total_glh_n_sector`i'_postFE+(sector`i'male/100)*5*c.cum_total_glh_n_sector`i'_postFE#c.years_since_finish
 scalar pred_male_spec3_`i'=r(estimate)
 di pred_male_spec3_`i'
 scalar se_int_male_spec3_`i'=r(se)
 di "standard error of interaction efect: " se_int_male_spec3_`i'
 scalar ci_l_male_`i'=r(lb)
 di ci_l_male_`i' 
 scalar ci_u_male_`i'=r(ub)
 di ci_u_male_`i'
 scalar p_val_int_male_spec3_`i'=r(p)

	if inrange(p_val_int_male_spec3_`i',0.000000000,0.001) local star_int_male_spec3_`i'= "***"
	else if inrange(p_val_int_male_spec3_`i',0.0010000001,0.01) local star_int_male_spec3_`i' "**"
	else if inrange(p_val_int_male_spec3_`i',0.010000001,0.050) local star_int_male_spec3_`i'= "*"
	else local star_int_male_spec3_`i' = " "
	di "`star_int_male_spec3_`i''"
}



* FEMALES

* SPEC 3: FEMALE
xtreg ln_adj_real_earn_day $glhbysector $glhbysector_yr_f $controls $college_FE   $controls_time $glhtypequal $glhawarding  $glhtypequal_yr_f i.ACC_region_clean#i.academicyear if male==0 , fe
cap drop regression_sample_f3
gen regression_sample_f3=e(sample) 

est store femaleyoung2017_spec3
matrix b_female_spec3=e(b)
matrix V_female_spec3=e(V)
scalar N_female_spec3=e(N)

forval i=1/15 {
scalar b_female_spec3_`i'=b_female_spec3[1,`i']
di b_female_spec3_`i'
scalar se_female_spec3_`i'=sqrt(V_female_spec3[`i',`i'])
di se_female_spec3_`i'
local j=`i'+15
scalar b1_female_spec3_`i'=b_female_spec3[1,`j']
di b1_female_spec3_`i'
scalar se1_female_spec3_`i'=sqrt(V_female_spec3[`j',`j'])
di se1_female_spec3_`i'
di abs(b_female_spec3_`i'/se_female_spec3_`i')
	if inrange(2* ttail(e(df_r), abs(b_female_spec3_`i'/se_female_spec3_`i')),0.000000000,0.001) local star_female_spec3_`i'= "***"
	else if inrange(2* ttail(e(df_r), abs(b_female_spec3_`i'/se_female_spec3_`i')),0.0010000001,0.01) local star_female_spec3_`i' "**"
	else if inrange(2* ttail(e(df_r), abs(b_female_spec3_`i'/se_female_spec3_`i')),0.010000001,0.050) local star_female_spec3_`i'= "*"
	else local star_female_spec3_`i' = " "
	di "`star_female_spec3_`i''"
di abs(b1_female_spec3_`i'/se1_female_spec3_`i')
	if inrange(2* ttail(e(df_r), abs(b1_female_spec3_`i'/se1_female_spec3_`i')),0.000000000,0.001) local star1_female_spec3_`i'= "***"
	else if inrange(2* ttail(e(df_r), abs(b1_female_spec3_`i'/se1_female_spec3_`i')),0.0010000001,0.01) local star1_female_spec3_`i' "**"
	else if inrange(2* ttail(e(df_r), abs(b1_female_spec3_`i'/se1_female_spec3_`i')),0.010000001,0.050) local star1_female_spec3_`i'= "*"
	else local star1_female_spec3_`i' = " "
	di "`star1_female_spec3_`i''"
}


* interaction one year after 
forval i=1/15 {
 lincom sector`i'female/100*c.cum_total_glh_n_sector`i'_postFE+(sector`i'female/100)*c.cum_total_glh_n_sector`i'_postFE#c.years_since_finish
 scalar return_`i'_females_spec3=r(estimate)
 di return_`i'_females_spec3
 scalar se_int1_female_spec3_`i'=r(se)
 di "standard error of interaction efect: " se_int_female_spec3_`i'
 scalar p_val_int1_female_spec3_`i'=r(p)

	if inrange(p_val_int1_female_spec3_`i',0.000000000,0.001) local star_int1_female_spec3_`i'= "***"
	else if inrange(p_val_int1_female_spec3_`i',0.0010000001,0.01) local star_int1_female_spec3_`i' "**"
	else if inrange(p_val_int1_female_spec3_`i',0.010000001,0.050) local star_int1_female_spec3_`i'= "*"
	else local star_int1_female_spec3_`i' = " "
	di "`star_int1_female_spec3_`i''"
}


* interaction effect five years after 
forval i=1/15 {
 lincom sector`i'female/100*c.cum_total_glh_n_sector`i'_postFE+(sector`i'female/100)*5*c.cum_total_glh_n_sector`i'_postFE#c.years_since_finish
 scalar pred_female_spec3_`i'=r(estimate)
 di pred_female_spec3_`i'
 scalar se_int_female_spec3_`i'=r(se)
 di "standard error of interaction efect: " se_int_female_spec3_`i'
 scalar ci_l_female_`i'=r(lb)
 di ci_l_female_`i' 
 scalar ci_u_female_`i'=r(ub)
 di ci_u_female_`i'
 scalar p_val_int_female_spec3_`i'=r(p)

	if inrange(p_val_int_female_spec3_`i',0.000000000,0.001) local star_int_female_spec3_`i'= "***"
	else if inrange(p_val_int_female_spec3_`i',0.0010000001,0.01) local star_int_female_spec3_`i' "**"
	else if inrange(p_val_int_female_spec3_`i',0.010000001,0.050) local star_int_female_spec3_`i'= "*"
	else local star1_female_spec3_`i' = " "
	di "`star_int_female_spec3_`i''"
}

cap log close 

** SHARES IN MAIN SECTOR - MALES 

tab main_sector_noPLW_postFE if academicyear==2017 & ln_real_earn_adj~=. & male==1 & academicyear==2017 &  regression_sample_ex==1, matcell(males_tab)
matrix list males_tab
forval i=1/15 {
scalar nb_`i'=males_tab[`i',1]
display nb_`i'
}

scalar total_males=nb_1+nb_2+nb_3+nb_4+nb_5+nb_6+nb_7+nb_8+nb_9+nb_10+nb_11+nb_12+nb_13+nb_14+nb_15
display total_males

forval i=1/15 {
scalar share_`i'_males=nb_`i'/total_males*100
di share_`i'_males
}


*** FEAMLES 

* SHARE MAIN SECTOR - FEMALES 

tab main_sector_noPLW_postFE if academicyear==2017 & ln_real_earn_adj~=. & male==0 & academicyear==2017 & regression_sample_ex==1, matcell(females_tab)
matrix list females_tab
forval i=1/15 {
scalar nb_`i'=females_tab[`i',1]
display nb_`i'
}

scalar total_females=nb_1+nb_2+nb_3+nb_4+nb_5+nb_6+nb_7+nb_8+nb_9+nb_10+nb_11+nb_12+nb_13+nb_14+nb_15
display total_females

forval i=1/15 {
scalar share_`i'_females=nb_`i'/total_females*100
di share_`i'_females
}



**************************************************************************
*** ONCE REGRESSIONS ARE RUN; RERUN FROM HERE TO GET TABLES!!!! 
***************************************************************************
* need to store mean glh as locals
 foreach sex in male female {
forval i=1/15 {
local sector`i'`sex'= sector`i'`sex'
di `sector`i'`sex''
}
}




* need to store shares as locals

 foreach sex in males females {
forval i=1/15 {
local share_`i'_`sex'= share_`i'_`sex'
di `share_`i'_`sex''
}
}


* nunber of observations 
foreach sex in male female {
local N_`sex'_spec3=  N_`sex'_spec3
di `N_`sex'_spec3'
}



* need to store betas as locals 

 foreach sex in male female {
foreach j in 3 {
forval i=1/15 {
local b_`sex'_spec`j'_`i'= b_`sex'_spec`j'_`i'
di `b_`sex'_spec`j'_`i''
}
}
}


* beta 2
 foreach sex in male female {
foreach j in 3 {
forval i=1/15 {
local b1_`sex'_spec`j'_`i'= b1_`sex'_spec`j'_`i'
di `b1_`sex'_spec`j'_`i''
}
}
}



* interaction term after 1 year 
 foreach sex in male female {
foreach j in 3 {
forval i=1/15 {
local return_`i'_`sex's_spec`j'= return_`i'_`sex's_spec`j'
di `return_`i'_`sex's_spec`j''
}
}
}


* interaction term after 5 years 
 foreach sex in male female {
foreach j in 3 {
forval i=1/15 {
local pred_`sex'_spec`j'_`i'= pred_`sex'_spec`j'_`i'
di `pred_`sex'_spec`j'_`i''
}
}
}

* need to store standard errors as locals to be picked up 

 foreach sex in male female {
foreach j in 3 {
forval i=1/15 {
local se_`sex'_spec`j'_`i'= se_`sex'_spec`j'_`i'
di `se_`sex'_spec`j'_`i''
}
}
}


 foreach sex in male female {
   foreach j in 3 {
forval i=1/15 {
local se1_`sex'_spec`j'_`i'= se1_`sex'_spec`j'_`i'
di `se1_`sex'_spec`j'_`i''
}
}
}

 foreach sex in male female {
   foreach j in 3 {
forval i=1/15 {
local se_int1_`sex'_spec`j'_`i'= se_int1_`sex'_spec`j'_`i'
di se_int1_`sex'_spec`j'_`i'
}
}
}

 foreach sex in male female {
   foreach j in 3 {
forval i=1/15 {
local se_int_`sex'_spec`j'_`i'= se_int_`sex'_spec`j'_`i'
di se_int_`sex'_spec`j'_`i'
}
}
}









local sector1 "Health, Public Services and Care"
local sector2 "Science and Mathematics"
local sector3 "Agriculture, Horticulture and Animal Care"
local sector4 "Engineering and Manufacturing Technology"
local sector5 "Construction, Planning and the Built Environment"
local sector6 "Information and Communication Technology"
local sector7 "Retail and Commercial Enterprise"
local sector8 "Leisure, Travel and Tourism"
local sector9 "Arts, Media and Publishing"
local sector10 "History, Philosophy and Theology"
local sector11 "Social Sciences" 
local sector12 "Languages, Literature and Culture"
local sector13 "Education and Training"
local sector14 "Preparation for Life and Work"
local sector15 "Business Administration and Law"

*** MAKE REGRESSION OUTPUT TABLE - MALES - MAIN TEXT 


*** Get the locals for the stars 
* Interaction after 1 years 

foreach sex in male female {
forval i=1/15 {
	if inrange(p_val_int1_`sex'_spec3_`i',0.000000000,0.001) local star_int1_`sex'_spec3_`i'= "***"
	else if inrange(p_val_int1_`sex'_spec3_`i',0.001000000000001,0.01) local star_int1_`sex'_spec3_`i' "**"
	else if inrange(p_val_int1_`sex'_spec3_`i',0.01000000000001,0.050) local star_int1_`sex'_spec3_`i'= "*"
	else local star_int1_`sex'_spec3_`i' = " "
	di "`star_int1_`sex'_spec3_`i''"
}
}

	
* Interaction after 5 years 
foreach sex in male female {
forval i=1/15 {
if inrange(p_val_int_`sex'_spec3_`i',0.000000000,0.001) local star_int_`sex'_spec3_`i'= "***"
	else if inrange(p_val_int_`sex'_spec3_`i',0.001000000000001,0.01) local star_int_`sex'_spec3_`i' "**"
	else if inrange(p_val_int_`sex'_spec3_`i',0.01000000000001,0.050) local star_int_`sex'_spec3_`i'= "*"
	else local star1_`sex'_spec3_`i' = " "
	di "`star_int_`sex'_spec3_`i''"
}
}


*BETA 1
foreach sex in male female {
foreach j in 3 {
forval i=1/15 {
di abs(b_`sex'_spec`j'_`i'/se_`sex'_spec`j'_`i')
	if inrange(2* normal(-abs((b_`sex'_spec`j'_`i')/se_`sex'_spec`j'_`i')),0.000000000,0.001) local star_`sex'_spec`j'_`i'= "***"
	else if inrange(2* normal(-abs((b_`sex'_spec`j'_`i')/se_`sex'_spec`j'_`i')),0.001000000000001,0.01) local star_`sex'_spec`j'_`i' "**"
	else if inrange(2* normal(-abs((b_`sex'_spec`j'_`i')/se_`sex'_spec`j'_`i')),0.01000000000001,0.050) local star_`sex'_spec`j'_`i'= "*"
	else local star_`sex'_spec`j'_`i' = " "
	di "`star_`sex'_spec`j'_`i''"
}
}
}

* BETA 2
foreach j in 3 {
foreach sex in male female {
forval i=1/15 {
	di abs(b1_`sex'_spec`j'_`i'/se1_`sex'_spec`j'_`i')
	if inrange(2* normal(-abs(b1_`sex'_spec`j'_`i'/se1_`sex'_spec`j'_`i')),0.000000000,0.001) local star1_`sex'_spec`j'_`i'= "***"
	else if inrange(2* normal(-abs(b1_`sex'_spec`j'_`i'/se1_`sex'_spec`j'_`i')),0.001000000000001,0.01) local star1_`sex'_spec`j'_`i' "**"
	else if inrange(2* normal(-abs(b1_`sex'_spec`j'_`i'/se1_`sex'_spec`j'_`i')),0.01000000000001,0.050) local star1_`sex'_spec`j'_`i'= "*"
	else local star1_`sex'_spec`j'_`i' = " "
	di b1_`sex'_spec3_`i'
	di "`star1_`sex'_spec`j'_`i''"
}
}
}



foreach sex in male female {

cap file close fh
file open summary using "J:\Projects\Value Added Further Education\FINAL_TABLES\resubmission\1_Adult_Panel_Returns_`sex'_FINAL_RR.tex", write replace

	file write summary "\begin{tabular}{l@{\extracolsep{2mm}}cccccc}"
	file write summary "\toprule" 
	file write summary " & (1) & (2) & (3) &  (4) & (5) & (6)  \\" 
	file write summary "Field of Study & \multicolumn{2}{c}{Coefficients}  &  Mean GLH  & \multicolumn{2}{c}{Estimated return}  & Share of individuals  \\" 
	file write summary " & $\mathbf{\Upsilon_1}$ &  $\mathbf{\Upsilon_2}$ &  if main field & 1 year post FE & 5 years post FE & specializing in field \\" 
	file write summary "\midrule" 
	forval i=1/15 {
	file write summary " `sector`i'' &   \MyNum{`b_`sex'_spec3_`i''}`star_`sex'_spec3_`i''  & \MyNum{`b1_`sex'_spec3_`i''}`star1_`sex'_spec3_`i''  & \MyNumBis{`sector`i'`sex''} &  \MyNum{`return_`i'_`sex's_spec3'}`star_int1_`sex'_spec3_`i'' &  \MyNum{`pred_`sex'_spec3_`i''}`star_int_`sex'_spec3_`i'' & \MyNumBisOne{`share_`i'_`sex's'}\%  \\ "
	file write summary "  & (\MyNum{`se_`sex'_spec3_`i''}) &   (\MyNum{`se1_`sex'_spec3_`i''}) &  &  (\MyNum{`se_int1_`sex'_spec3_`i''}) &   (\MyNum{`se_int_`sex'_spec3_`i''}) & \\ "
	}
	file write summary " Observations &  \multicolumn{2}{c}{\MyNumBis{`N_`sex'_spec3'}}  &   &    &    &   \\ "
	file write summary "\bottomrule" 
	file write summary "\end{tabular}"
	file close summary
type "J:\Projects\Value Added Further Education\FINAL_TABLES\resubmission\1_Adult_Panel_Returns_`sex'_FINAL_RR.tex"
}
ex

